it-swarm-ja.com

新しいPHPバージョンをWAMPに追加する方法

PHP 5.3.8をインストールして、WAMP(Windows)で動作するようにしています。

PHP=ウェブサイトからダウンロードし、binフォルダーにコピーして、この行をwampmanager.iniに追加しました:

Type: item; Caption: "5.3.8"; Action: multi; Actions:switchPhp5.3.8;

そして:

[switchPhp5.3.8]
Action: service; Service: wampapache; ServiceAction: stop; Flags: ignoreerrors waituntilterminated
Action: run; FileName: "c:/wamp/bin/php/php5.3.0/php-win.exe";Parameters: "switchPhpVersion.php 5.3.8";WorkingDir: "c:/wamp/scripts"; Flags: waituntilterminated
Action: run; FileName: "c:/wamp/bin/php/php5.3.0/php-win.exe";Parameters: "-c . refresh.php";WorkingDir: "c:/wamp/scripts"; Flags: waituntilterminated
Action: run; FileName: "net"; Parameters: "start wampapache"; ShowCmd: hidden; Flags: waituntilterminated
Action: resetservices
Action: readconfig;

しかし、それは動作しません...

編集してWAMPを起動すると、これらの変更はiniファイルから削除されます。

21
Alex

最後のバージョンの [〜#〜] wamp [〜#〜] をインストールしないのはなぜですか

WampServer 2.1a [24/12/10]に含まれるもの:

  • Apache 2.2.17
  • PHP 5.3.3
  • Mysql 5.1.53(バージョン64ビット)
  • Mysql5.5.8(バージョン32ビット)
  • PhpMyadmin 3.2.0.1
  • SQLBuddy 1.3.2
2
Remus Rigo

私のWampServerバージョンにはPHP 5.4アドオンがないため、PHP 5.4を手動でインストールする方法が必要でした。

このスレッドは少し古いですが、元の質問と一致するため、ここで手順を説明します。

PHP 5.4.13を例にとります(現在、最新の5.4バージョン)

  1. php.net でバイナリをダウンロード
  2. すべてのファイルを新しいフォルダーに抽出します:C:/wamp/bin/php/php5.4.13/
  3. wampserver.confを別のphpフォルダー(php/php5.2.8/など)から新しいフォルダーにコピーします。
  4. php.ini-developmentファイルの名前をphpForApache.iniに変更
  5. できました! WampServerを再起動します(> traiconを右クリックして>終了)。

:PHPバージョン5.6を追加する場合は、他のphpフォルダーからphp5Apache2_4.dllもコピーする必要があります。それ以外の場合、Wampサーバーはt開始。

39
zessx

私も pgrade PHP in WAMP 最近必要になりました。正しく実行するためのいくつかの手順があります。それらすべてをカバーし、上記にリンクされた投稿でスクリーンショットを提供しました。

それが役に立てば幸い!

6
John Dugan

This は、wampでのphpバージョンの変更に関するもう1つの役立つ記事です。

記事で言及されている有用な詳細は新しいphpを指すように環境変数を更新するなので、適切なphp cliにアクセスできます。

3
Alexander Lomia